package com.cyksj.service.shop;

import com.cyksj.model.entity.OrderDon;

/*
 *项目名: yhlxj
 *文件名: YhShopDistributeService
 *创建者: JavaZou
 *创建时间:2023/9/20 15:30
 */
public interface YhShopDistributeService {
	void distributeWaitingSendPointsRecord(OrderDon order);

	/**
	 * 订单退款 扣除分销提成
	 * @param orderDon
	 */
	void deductDsMoney(OrderDon orderDon);

	/**
	 * 店铺分销 用户关系记录
	 */
	void saveDistributionInvitation(String customId, Long userId, Integer cmt);
}
